Iniciar verificação de e-mails em lote
curl --request POST \
--url https://api.notifique.dev/v1/validations/email/batch \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"emails": [
"lead1@empresa.com",
"lead2@empresa.com",
"bounce@dominio-invalido.xyz"
],
"mode": "full"
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
emails: ['lead1@empresa.com', 'lead2@empresa.com', 'bounce@dominio-invalido.xyz'],
mode: 'full'
})
};
fetch('https://api.notifique.dev/v1/validations/email/batch', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.notifique.dev/v1/validations/email/batch"
payload = {
"emails": ["lead1@empresa.com", "lead2@empresa.com", "bounce@dominio-invalido.xyz"],
"mode": "full"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.notifique.dev/v1/validations/email/batch"
payload := strings.NewReader("{\n \"emails\": [\n \"lead1@empresa.com\",\n \"lead2@empresa.com\",\n \"bounce@dominio-invalido.xyz\"\n ],\n \"mode\": \"full\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"success": true,
"data": {
"job_id": "job_email_abc123",
"status": "queued",
"total": 3,
"mode": "full"
}
}Validação (API)
Iniciar verificação de e-mails em lote
Até 10.000 e-mails. Processamento em background — consulte com GET /v1/validations/email/batch/{jobId}.
POST
/
v1
/
validations
/
email
/
batch
Iniciar verificação de e-mails em lote
curl --request POST \
--url https://api.notifique.dev/v1/validations/email/batch \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"emails": [
"lead1@empresa.com",
"lead2@empresa.com",
"bounce@dominio-invalido.xyz"
],
"mode": "full"
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
emails: ['lead1@empresa.com', 'lead2@empresa.com', 'bounce@dominio-invalido.xyz'],
mode: 'full'
})
};
fetch('https://api.notifique.dev/v1/validations/email/batch', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.notifique.dev/v1/validations/email/batch"
payload = {
"emails": ["lead1@empresa.com", "lead2@empresa.com", "bounce@dominio-invalido.xyz"],
"mode": "full"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.notifique.dev/v1/validations/email/batch"
payload := strings.NewReader("{\n \"emails\": [\n \"lead1@empresa.com\",\n \"lead2@empresa.com\",\n \"bounce@dominio-invalido.xyz\"\n ],\n \"mode\": \"full\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"success": true,
"data": {
"job_id": "job_email_abc123",
"status": "queued",
"total": 3,
"mode": "full"
}
}Autorizações
ntfValBearerAuthntfValApiKeyHeader
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Corpo
application/json
Esta página foi útil?

